Bug 226830 - [patch] sysutils/py-salt: Fix FreeBSD 11 bootstrap
Summary: [patch] sysutils/py-salt: Fix FreeBSD 11 bootstrap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-21 17:43 UTC by Renato Botelho
Modified: 2018-04-16 13:00 UTC (History)
1 user (show)

See Also:
christer.edwards: maintainer-feedback+
garga: merge-quarterly+


Attachments
Fix salt bootstrap (1.50 KB, patch)
2018-03-21 17:43 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2018-03-21 17:43:01 UTC
Created attachment 191713 [details]
Fix salt bootstrap

FreeBSD 11 bootstrap is broken because it tries to install a pkg called 'swig' but it's not available. Fix was committed upstream to install swig30 instead

Obtained from: https://github.com/saltstack/salt-bootstrap/issues/1192
Comment 1 commit-hook freebsd_committer 2018-04-13 16:07:36 UTC
A commit references this bug:

Author: garga
Date: Fri Apr 13 16:06:34 UTC 2018
New revision: 467246
URL: https://svnweb.freebsd.org/changeset/ports/467246

Log:
  Fix saltstack bootstrap renaming desired to be installed package from
  swig -> swig30 since former package doesn't exist

  PR:		226830
  Submitted by:	garga
  Approved by:	maintainer timeout (> 2 weeks)
  Obtained from:	https://github.com/saltstack/salt-bootstrap/issues/1192
  MFH:		2018Q2
  Sponsored by:	Rubicon communications, LLC (Netgate)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/files/patch-salt_cloud_deploy_bootstrap-salt.sh
Comment 2 Christer Edwards 2018-04-13 23:43:40 UTC
Apologies for the delay.

Looks good. Thanks for taking care of this.
Comment 3 commit-hook freebsd_committer 2018-04-16 12:41:03 UTC
A commit references this bug:

Author: garga
Date: Mon Apr 16 12:40:03 UTC 2018
New revision: 467481
URL: https://svnweb.freebsd.org/changeset/ports/467481

Log:
  MFH: r467246

  Fix saltstack bootstrap renaming desired to be installed package from
  swig -> swig30 since former package doesn't exist

  PR:		226830
  Submitted by:	garga
  Approved by:	maintainer timeout (> 2 weeks)
  Obtained from:	https://github.com/saltstack/salt-bootstrap/issues/1192
  Sponsored by:	Rubicon communications, LLC (Netgate)
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/sysutils/py-salt/Makefile
  branches/2018Q2/sysutils/py-salt/files/patch-salt_cloud_deploy_bootstrap-salt.sh